:root {
    --blog-item-border-radius: 15px;
    --blog-item-border-thickness: 1px;
    --blog-post-img-border-radius: calc(var(--blog-item-border-radius) - var(--blog-item-border-thickness));
}

#hottest-news {
    margin-top: 50px;
    --hottest-news-blog-img-height: 150px;
}

#hottest-news .all-posts {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
}

#hottest-news .blog-img img {
    width: 100%;
    height: var(--hottest-news-blog-img-height);
    min-height: var(--hottest-news-blog-img-height);
    display: block;
    object-fit: cover;
    border-radius: var(--blog-post-img-border-radius);
}

#hottest-news .blog-img {
    height: var(--hottest-news-blog-img-height);
    min-height: var(--hottest-news-blog-img-height);
    overflow: hidden;
    border-radius: 14px;
}

#hottest-news .blog-detail {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

#hottest-news .blog-img a {
    position: relative;
    display: inline-block;
    width: 100%;
}

#hottest-news .blog-item {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: var(--background);
    width: 23%;
    height: 278px;
    margin-bottom: 0;
    border-radius: var(--blog-item-border-radius);
    overflow: hidden;
    border: var(--blog-item-border-thickness) solid var(--ncs-container-strong);
    transition: all 0.2s;
}

#hottest-news .blog-item:hover {
    box-shadow: 5px 5px 0 var(--maestra-green);
    border-color: var(--maestra-green);
    translate: -5px -5px;
}

#hottest-news .blog-name h3 {
    padding: 5px 15px;
    padding-bottom: 10px;
}

#hottest-news .blog-name h3 a {
    color: var(--text);
    font-size: var(--font-md);
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    overflow: hidden;
}

#hottest-news .single-main-meta {
    margin-bottom: 15px;
}

#hottest-news .single-main-meta ul {
    display: flex;
    justify-content: center;
    gap: 30px;
}

#hottest-news .single-main-meta ul li,
#hottest-news .single-main-meta ul li a {
    color: var(--text);
}

#hottest-news .blog-item .single-main-meta ul li,
#hottest-news .blog-item .single-main-meta ul li a {
    font-size: var(--font-sm);
}

#hottest-news .blog-item .single-main-meta ul li {
    display: flex;
    align-items: center;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

#hottest-news .blog-item .single-main-meta ul li:last-child {
    max-width: 110px;
}

#hottest-news .single-main-meta ul i {
    margin-right: 2px;
    margin-top: 0;
}

@media (min-width: 992px) and (max-width: 1360px) {
    #hottest-news .blog-name h3 a {
        -webkit-line-clamp: 4;
        line-clamp: 4;
    }

    #hottest-news .blog-item .single-main-meta ul {
        flex-direction: column;
        gap: 5px;
    }
}

@media (max-width: 991px) {
    #hottest-news .blog-item {
        width: 48%;
    }
}

@media (max-width: 767px) {

    #hottest-news .blog-item {
        width: 100%;
        height: auto;
    }
}
